package com.muyu.common.cache;

import com.muyu.common.cache.decoration.DecorationKey;

public interface Cache<K, V> extends DecorationKey<K> {

    /**
     * 通过key获取value值
     */
    public V get(K key);

    /**
     * 缓存添加/修改
     */
    public void put(K key, V value);

    /**
     * 通过键删除
     */
    public void remove(K key);

    /**
     * 刷新缓存时间
     */
    public void refreshTime(K key);

    /**
     * 刷新缓存数据
     */
    public void refreshData(K key);
}
