package com.muyu.product.cache;

import com.muyu.common.cache.abs.CacheAbs;
import com.muyu.common.core.text.Convert;
import com.muyu.product.cache.datasource.ProjectInfoData;
import com.muyu.product.domain.ProjectInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 商品缓存
 *
 * @author CHX
 * on 2024/4/7 星期日
 */
@Component
public class ProjectInfoCache extends CacheAbs<Long, ProjectInfo> {

    @Autowired
    private ProjectInfoData projectInfoData;

    @Override
    public String keyPre() {
        return "project:info:";
    }

    @Override
    public Long decode(String redisKey) {
        return Convert.toLong(redisKey.replace(keyPre(), ""), 0L);
    }

    @Override
    public ProjectInfo getData(Long key) {
        return projectInfoData.getData(key);
    }

    @Override
    public ProjectInfo defaultValue() {
        return new ProjectInfo();
    }


}
