package com.muyu.product.cache;

import com.muyu.common.cache.HashCache;
import com.muyu.common.cache.abs.HashCacheAbs;
import com.muyu.common.core.text.Convert;
import com.muyu.product.cache.datasource.ProjectSkuData;
import com.muyu.product.domain.ProjectSkuInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

/**
 * 商品sku基本信息
 *
 * @author CHX
 * on 2024/4/1 0001
 */
@Component
public class ProjectSkuCache extends HashCacheAbs<Long, String, ProjectSkuInfo> {

    @Autowired
    private ProjectSkuData projectSkuData;

    @Override
    public String keyPre() {
        return "project:sku:";
    }

    @Override
    public Long decode(String redisKey) {
        return Convert.toLong(redisKey.replace(keyPre(), ""));
    }

    @Override
    public String decodeHashKey(String redisHashKey) {
        return redisHashKey;
    }

    @Override
    public Map<String, ProjectSkuInfo> getData(Long key) {
        return projectSkuData.getData(key);
    }

    @Override
    public ProjectSkuInfo getData(Long key, String hashKey) {
        return projectSkuData.getData(key, hashKey);
    }

    @Override
    public Map<String, ProjectSkuInfo> defaultValue() {
        return new HashMap<>();
    }

    @Override
    public ProjectSkuInfo defaultHashValue() {
        return new ProjectSkuInfo();
    }
}
