package com.muyu.product.cache;

import com.muyu.common.cache.abs.CacheAbs;
import com.muyu.common.core.text.Convert;
import com.muyu.product.cache.datasource.RuleCacheData;
import com.muyu.product.cache.model.RuleCacheModel;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * 规格缓存
 *
 * @author CHX
 * on 2024/4/8 星期一
 */
public class RuleInfoCache extends CacheAbs<Long, RuleCacheModel> {

    @Autowired
    private RuleCacheData ruleCacheData;

    @Override
    public String keyPre() {
        return "rule:info:";
    }

    @Override
    public Long decode(String redisKey) {
        return Convert.toLong(redisKey.replace(keyPre(), ""));
    }

    @Override
    public RuleCacheModel getData(Long key) {
        return ruleCacheData.getRuleCacheModel(key);
    }

    @Override
    public RuleCacheModel defaultValue() {
        return new RuleCacheModel();
    }
}
