package com.muyu.product.cache.datasource;

import com.muyu.product.domain.ProjectSkuInfo;

import java.util.Map;

/**
 * 商品sku数据库读取
 *
 * @author CHX
 * on 2024/4/1 0001
 */
public interface ProjectSkuData {
    /**
     * 通过键获取所有的hash数据
     *
     * @param projectId 商品ID
     * @return
     */
    public Map<String, ProjectSkuInfo> getData(Long projectId);

    /**
     * 通过缓存键和hash键获取hash值
     *
     * @param projectId  商品ID
     * @param projectSku 商品SKU
     * @return hash值
     */
    public ProjectSkuInfo getData(Long projectId, String projectSku);
}
