package com.muyu.product.cache.datasource.impl;

import com.muyu.common.core.domain.Result;
import com.muyu.product.cache.datasource.ProjectInfoData;
import com.muyu.product.domain.ProjectInfo;
import com.muyu.project.remote.RemoteProjectInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 商品信息缓存实现层
 *
 * @author CHX
 * on 2024/4/5 0005
 */
@Service
public class ProjectInfoDataRemoteImpl implements ProjectInfoData {

    @Autowired
    private RemoteProjectInfoService remoteProjectInfoService;

    @Override
    public ProjectInfo getData(Long key) {
        Result<ProjectInfo> projectInfoResult = remoteProjectInfoService.getInf(key);
        if(Result.isError(projectInfoResult)){
            return new ProjectInfo();
        }
        return projectInfoResult.getData();
    }
}
