package com.muyu.product.cache.datasource.impl;

import com.muyu.common.core.domain.Result;
import com.muyu.product.cache.datasource.ProjectSkuStockData;
import com.muyu.product.cache.key.SkuStockKey;
import com.muyu.product.domain.ProjectSkuInfo;
import com.muyu.project.remote.RemoteProjectSkuService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Objects;

/**
 * 商品库存实现层
 *
 * @author CHX
 * on 2024/4/5 0005
 */
@Service
public class ProjectSkuStockDataRemoteImpl implements ProjectSkuStockData {

    @Autowired
    private RemoteProjectSkuService remoteProjectSkuService;

    @Override
    public Long getData(SkuStockKey key) {
        Result<ProjectSkuInfo> result = remoteProjectSkuService.
                getInfoByProjectIdAndSku(key.getProjectId(), key.getSku());
        if(Result.isSuccess(result)){
            ProjectSkuInfo projectSkuInfo = result.getData();
            if(!Objects.isNull(projectSkuInfo)){
                return projectSkuInfo.getStock();
            }
        }
        return 0L;
    }
}
