package com.muyu.product.cache.model;

import com.muyu.product.domain.RuleAttrInfo;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Arrays;
import java.util.List;

/**
 * 规格类型缓存模型
 *
 * @author CHX
 * on 2024/4/8 星期一
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RuleAttrCacheModel {
    /**
     * 类目名称
     */
    private String attrName;

    /**
     * 规格值
     */
    private List<String> attrValueList;

    public static RuleAttrCacheModel ruleAttrBuild (RuleAttrInfo ruleAttrInfo){
        return RuleAttrCacheModel.builder()
                .attrName(ruleAttrInfo.getName())
                .attrValueList(Arrays.stream(ruleAttrInfo.getAttrValue().split(",")).toList())
                .build();
    }
}
