package com.muyu.product.domain.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.muyu.common.core.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class ProjectSkuModel {

    /** sku */
    @ApiModelProperty(name = "sku", value = "sku", required = true)
    private String sku;

    /** 商品库存 */
    @ApiModelProperty(name = "商品库存", value = "商品库存", required = true)
    private Long stock;

    /** 商品价格 */
    @ApiModelProperty(name = "商品价格", value = "商品价格", required = true)
    private BigDecimal price;

    /** 规格图片 */
    @ApiModelProperty(name = "规格图片", value = "规格图片", required = true)
    private String image;
}
