package com.muyu.product.domain.resp;

import com.muyu.product.domain.AsProductAttributeInfo;
import com.muyu.product.domain.ProjectInfo;
import com.muyu.product.domain.ProjectSkuInfo;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class ProjectInfoEditResp {
    private static final long serialVersionUID = 1L;

    /**
     * 商品基本属性
     */
    private ProjectInfo projectInfo;
//    private ProjectEditModel projectEditModel;

    /**
     * 商品属性
     */
    private List<AsProductAttributeInfo> asProductAttributeInfoList;
//    private List<AttrValueModel> attrValueList;

    /**
     * 商品SKu
     */
    private List<ProjectSkuInfo> projectSkuInfoList;
//    private List<ProjectSkuModel> projectSkuList;

    public static ProjectInfoEditResp allBuild(ProjectInfo projectInfo, List<AsProductAttributeInfo> asProductAttributeInfoList, List<ProjectSkuInfo> projectSkuInfoList) {
        return ProjectInfoEditResp.builder()
                .projectInfo(projectInfo)
                .asProductAttributeInfoList(asProductAttributeInfoList)
                .projectSkuInfoList(projectSkuInfoList)
                .build();
    }

//    public static ProjectInfoEditResp projectBuilder(ProjectInfo projectInfo, List<AttrValueModel> attrValueList, List<ProjectSkuModel> projectSkuModelList) {
//        return ProjectInfoEditResp.builder()
//                .projectEditModel(ProjectInfoEditResp.projectEditBuilder(projectInfo))
//                .attrValueList(attrValueList)
//                .projectSkuList(projectSkuModelList)
//                .build();
//    }
//
//    private static ProjectEditModel projectEditBuilder(ProjectInfo projectInfo) {
//        return ProjectEditModel.builder()
//                .id(projectInfo.getId())
//                .name(projectInfo.getName())
//                .introduction(projectInfo.getIntroduction())
//                .mainType(projectInfo.getMainType())
//                .parentType(projectInfo.getParentType())
//                .type(projectInfo.getType())
//                .image(projectInfo.getImage())
//                .carouselImages(projectInfo.getCarouselImages())
//                .status(projectInfo.getStatus())
//                .ruleId(projectInfo.getRuleId())
//                .brandId(projectInfo.getBrandId())
//                .build();
//    }
}
