package com.muyu.project.remote;

import com.muyu.common.core.constant.ServiceNameConstants;
import com.muyu.common.core.domain.Result;
import com.muyu.product.domain.ProjectInfo;
import com.muyu.project.remote.factory.RemoteProjectInfoFactory;
import io.swagger.annotations.ApiImplicitParam;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

/**
 * 商品远程调用业务层
 *
 * @author CHX
 * on 2024/4/8 星期一
 */
@FeignClient(
        contextId = "remoteProjectInfoService",
        value = ServiceNameConstants.PRODUCT_SERVICE,
        fallbackFactory = RemoteProjectInfoFactory.class,
        path = "/info"
)
public interface RemoteProjectInfoService {
    @GetMapping(value = "/project/{id}")
    public Result<ProjectInfo> getInf(@PathVariable("id") Long id);
}
