package com.muyu.project.remote;

import com.muyu.common.core.constant.ServiceNameConstants;
import com.muyu.common.core.domain.Result;
import com.muyu.product.domain.RuleAttrInfo;
import com.muyu.project.remote.factory.RemoteRuleAttrFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

import java.util.List;

/**
 * 规格信息远程调用业务层
 *
 * @author CHX
 * on 2024/4/8 星期一
 */
@FeignClient(
        contextId = "remoteRuleAttrService",
        value = ServiceNameConstants.PRODUCT_SERVICE,
        fallbackFactory = RemoteRuleAttrFactory.class,
        path = "/ruleAttr"
)
public interface RemoteRuleAttrService {
    @GetMapping(value = "/list/ruleId/{ruleId}")
    public Result<List<RuleAttrInfo>> getInfoByRuleId(@PathVariable("ruleId") Long id);
}
