package com.muyu.project.remote;

import com.muyu.common.core.constant.ServiceNameConstants;
import com.muyu.common.core.domain.Result;
import com.muyu.product.domain.RuleInfo;
import com.muyu.project.remote.factory.RemoteRuleAttrFactory;
import com.muyu.project.remote.factory.RemoteRuleFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

/**
 * 规格信息远程调用实现层
 *
 * @author CHX
 * on 2024/4/8 星期一
 */
@FeignClient(
        contextId = "remoteRuleService",
        value = ServiceNameConstants.PRODUCT_SERVICE,
        fallbackFactory = RemoteRuleFactory.class,
        path = "/ruleAttr"
)
public interface RemoteRuleService {
    @GetMapping(value = "/{id}")
    public Result<RuleInfo> getInfo(@PathVariable("id") Long id);
}
