package com.muyu.project.remote.factory;

import com.muyu.common.core.domain.Result;
import com.muyu.product.domain.ProjectInfo;
import com.muyu.project.remote.RemoteProjectInfoService;
import org.springframework.cloud.openfeign.FallbackFactory;

/**
 * 商品远程调用熔断器
 *
 * @author CHX
 * on 2024/4/8 星期一
 */
public class RemoteProjectInfoFactory implements FallbackFactory<RemoteProjectInfoService> {
    @Override
    public RemoteProjectInfoService create(Throwable cause) {
        return new RemoteProjectInfoService() {
            @Override
            public Result<ProjectInfo> getInf(Long id) {
                return Result.error(cause.getMessage());
            }
        };
    }
}
