package com.muyu.project.remote.factory;

import com.muyu.common.core.domain.Result;
import com.muyu.product.domain.ProjectSkuInfo;
import com.muyu.project.remote.RemoteProjectSkuService;
import org.springframework.cloud.openfeign.FallbackFactory;

import java.util.List;

/**
 * 远程调用熔断器
 *
 * @author CHX
 * on 2024/4/7 星期日
 */
public class RemoteProjectSkuFactory implements FallbackFactory<RemoteProjectSkuService> {
    @Override
    public RemoteProjectSkuService create(Throwable cause) {
        return new RemoteProjectSkuService() {
            @Override
            public Result<ProjectSkuInfo> getInfoByProjectIdAndSku(Long projectId, String projectSku) {
                return Result.error(cause.getMessage());
            }

            @Override
            public Result<List<ProjectSkuInfo>> listByProjectId(Long projectId) {
                return Result.error(cause.getMessage());
            }
        };
    }
}
