package com.muyu.project.remote.factory;

import com.muyu.common.core.domain.Result;
import com.muyu.product.domain.RuleAttrInfo;
import com.muyu.project.remote.RemoteRuleAttrService;
import org.springframework.cloud.openfeign.FallbackFactory;

import java.util.List;

/**
 * 规格信息远程调用熔断器
 *
 * @author CHX
 * on 2024/4/8 星期一
 */
public class RemoteRuleAttrFactory implements FallbackFactory<RemoteRuleAttrService> {
    @Override
    public RemoteRuleAttrService create(Throwable cause) {
        return new RemoteRuleAttrService() {
            @Override
            public Result<List<RuleAttrInfo>> getInfoByRuleId(Long id) {
                return Result.error(cause.getMessage());
            }
        };
    }
}
