package com.muyu.project.remote.factory;

import com.muyu.common.core.domain.Result;
import com.muyu.product.domain.RuleInfo;
import com.muyu.project.remote.RemoteRuleService;
import org.springframework.cloud.openfeign.FallbackFactory;

/**
 * 规格信息远程调用熔断器
 *
 * @author CHX
 * on 2024/4/8 星期一
 */
public class RemoteRuleFactory implements FallbackFactory<RemoteRuleService> {
    @Override
    public RemoteRuleService create(Throwable cause) {
        return new RemoteRuleService() {
            @Override
            public Result<RuleInfo> getInfo(Long id) {
                return Result.error(cause.getMessage());
            }
        };
    }
}
