package com.muyu.product.cache.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.muyu.product.cache.datasource.ProjectSkuData;
import com.muyu.product.domain.ProjectSkuInfo;
import com.muyu.product.service.ProjectSkuInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Primary;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * 商品sku实现类
 * @author CHX
 * on 2024/4/1 0001
 */
@Service
@Primary
public class ProjectSkuDataImpl implements ProjectSkuData {

    @Autowired
    private ProjectSkuInfoService projectSkuInfoService;

    @Override
    public Map<String, ProjectSkuInfo> getData(Long projectId) {
        LambdaQueryWrapper<ProjectSkuInfo> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(ProjectSkuInfo::getProjectId,projectId);
        List<ProjectSkuInfo> projectSkuInfoList = projectSkuInfoService.list(queryWrapper);
        return projectSkuInfoList.stream()
                .collect(Collectors.toMap(ProjectSkuInfo::getSku,projectSkuInfo -> projectSkuInfo));
    }

    @Override
    public ProjectSkuInfo getData(Long projectId, String projectSku) {
        ProjectSkuInfo projectSkuInfo = projectSkuInfoService.
                getInfoByProjectIdAndSku(projectId, projectSku);
        return projectSkuInfo;
    }
}
