package com.muyu.shop.cart.domain.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.List;

/**
 * 购物车品类信息
 *
 * @author CHX
 * on 2024/4/8 星期一
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CartSkuModel {
    /**
     * 购物车ID
     */
    private Long cartInfoId;

    /**
     * 商品ID
     */
    private Long projectId;

    /**
     * 图片
     */
    private String image;

    /**
     * 商品名称
     */
    private String name;

    /**
     * 商品sku
     */
    private String projectSku;

    /**
     * 商品sku价格
     */
    private BigDecimal price;

    /**
     * sku规格集合
     */
    private List<SkuRuleModel> skuRuleList;

    /**
     * 库存
     */
    private Long stock;

    /**
     * 购物车数量
     */
    private Long num;

    /**
     * 购物车小计
     */
    private BigDecimal subtotal;

    /**
     * 是否选中
     */
    private String isSelected;
}
