package com.muyu.system.forest.gaode.api;

import com.dtflys.forest.annotation.BaseRequest;
import com.dtflys.forest.annotation.Get;
import com.dtflys.forest.annotation.Var;
import com.muyu.system.forest.gaode.api.resp.DistrictResult;
import com.muyu.system.forest.gaode.interceptor.GaoDeInterceptor;

/**
 * 高德地图接口
 *
 * @author CHX
 * on 2024/4/11 星期四
 */
@BaseRequest(
        baseURL = "https://restapi.amap.com",
        interceptor = GaoDeInterceptor.class,
        timeout = 5000,
        connectTimeout = 5000,
        readTimeout = 5000
)
public interface GaoDeBaseApi {
    @Get("/v3/config/district?keywords={keywords}&subdistrict={subDistrict}")
    DistrictResult district(@Var("keywords") String keywords, @Var("subDistrict") String subDistrict);
}
